{{ range $name, $pool := .Values.pools }}
apiVersion: metallb.io/v1beta1
kind: IPAddressPool
metadata:
  name: {{ include "metallb.fullname" $ }}-{{ $name }}-pool
  namespace: {{ $.Release.Namespace }}
spec:
  addresses:
{{- range $iprange := $pool }}
    - {{ $iprange }}
{{ end }}
{{ end }}
